Bug 188719 - [PATCH] www/py-Frozen-Flask: stage
Summary: [PATCH] www/py-Frozen-Flask: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-17 11:10 UTC by Bartek Rutkowski
Modified: 2014-05-12 15:30 UTC (History)
1 user (show)

See Also:


Attachments
py-Frozen-Flask-0.11.patch (372 bytes, patch)
2014-04-17 11:10 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-17 11:10:00 UTC
- Stage
- Drop easy_install support
- Auto pkg-plist

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-Frozen-Flask/0.11/

Port maintainer (oleg@bsdpower.com) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-17 11:10:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-17 11:10:07 UTC
Maintainer of www/py-frozen-flask,

Please note that PR ports/188719 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188719

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-04-17 11:10:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Oleg Pudeyev 2014-04-17 15:16:13 UTC
Thanks for the patch, I will review.

Cheers,
Oleg

On Thu, 17 Apr 2014 10:10:07 UT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of www/py-frozen-flask,
> 
> Please note that PR ports/188719 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188719
>
Comment 5 Oleg Pudeyev 2014-05-11 04:00:32 UTC
Approved, pkg-plist needs to be deleted for installation to succeed.

Thanks for the patch!

Oleg

On Thu, 17 Apr 2014 10:10:07 UT
Edwin Groothuis <edwin@FreeBSD.org> wrote:

> Maintainer of www/py-frozen-flask,
> 
> Please note that PR ports/188719 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188719
>
Comment 6 dfilter service freebsd_committer 2014-05-12 15:21:06 UTC
Author: swills
Date: Mon May 12 14:21:01 2014
New Revision: 353827
URL: http://svnweb.freebsd.org/changeset/ports/353827
QAT: https://qat.redports.org/buildarchive/r353827/

Log:
  - Stage
  - Drop easy_install support
  - Auto pkg-plist
  - Update LICENSE while here
  
  PR:		ports/188719
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	Oleg Pudeyev <oleg@bsdpower.com> (maintainer)

Deleted:
  head/www/py-frozen-flask/pkg-plist
Modified:
  head/www/py-frozen-flask/Makefile

Modified: head/www/py-frozen-flask/Makefile
==============================================================================
--- head/www/py-frozen-flask/Makefile	Mon May 12 14:05:38 2014	(r353826)
+++ head/www/py-frozen-flask/Makefile	Mon May 12 14:21:01 2014	(r353827)
@@ -10,12 +10,12 @@ PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 MAINTAINER=	oleg@bsdpower.com
 COMMENT=	Freezes a Flask application into a set of static files
 
-LICENSE=	BSD
+LICENSE=	BSD3CLAUSE
 
 RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}Flask>=0:${PORTSDIR}/www/py-flask
 
 USE_PYTHON=	yes
-USE_PYDISTUTILS=	easy_install
+USE_PYDISTUTILS=	yes
+PYDISTUTILS_AUTOPLIST=	yes
 
-NO_STAGE=	yes
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Steve Wills freebsd_committer 2014-05-12 15:21:22 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!